<?php 
class ControllerPaymentidealcheckoutauthorizedtransfer extends Controller {
	private $error = array(); 

	public function index() {

		$this->load->language('payment/idealcheckoutauthorizedtransfer');

		$this->document->title = $this->language->get('heading_title');
		
		$this->load->model('setting/setting');
				
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->model_setting_setting->editSetting('idealcheckoutauthorizedtransfer', $this->request->post);
			$this->session->data['success'] = $this->language->get('text_success');
			$this->redirect($this->url->https('extension/payment'));
		}


		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
		
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');

		$this->data['tab_general'] = $this->language->get('tab_general');

 		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}
		
		if (isset($this->request->post['idealcheckoutauthorizedtransfer_status'])) {
			$this->data['idealcheckoutauthorizedtransfer_status'] = $this->request->post['idealcheckoutauthorizedtransfer_status'];
		} else {
			$this->data['idealcheckoutauthorizedtransfer_status'] = $this->config->get('idealcheckoutauthorizedtransfer_status');
		}
		
		if (isset($this->request->post['idealcheckoutauthorizedtransfer_sort_order'])) {
			$this->data['idealcheckoutauthorizedtransfer_sort_order'] = $this->request->post['idealcheckoutauthorizedtransfer_sort_order'];
		} else {
			$this->data['idealcheckoutauthorizedtransfer_sort_order'] = $this->config->get('idealcheckoutauthorizedtransfer_sort_order');
		}










		$this->document->breadcrumbs = array();

   		$this->document->breadcrumbs[] = array(
       		'href'      => $this->url->https('common/home'),
       		'text'      => $this->language->get('text_home'),
      		'separator' => false
   		);

   		$this->document->breadcrumbs[] = array(
       		'href'      => $this->url->https('extension/payment'),
       		'text'      => $this->language->get('text_payment'),
      		'separator' => ' :: '
   		);

   		$this->document->breadcrumbs[] = array(
       		'href'      => $this->url->https('payment/idealcheckoutauthorizedtransfer'),
       		'text'      => $this->language->get('heading_title'),
      		'separator' => ' :: '
   		);

		$this->id       = 'content';
		$this->template = 'payment/idealcheckoutauthorizedtransfer.tpl';
		$this->layout   = 'common/layout';
		

		$this->children = array(
			'common/header',	
			'common/footer'	
		);

		$this->response->setOutput($this->render(true), $this->config->get('config_compression'));
	}

	private function validate() {
		return true;
	}
}

?>