<?php


	// Update order status when required
	function idealcheckout_update_order_status($aRecord, $sView)
	{
		if(in_array($sView, array('doReport', 'doValidate')))
		{
			$sComment = '';

			if(in_array($sView, array('doReport')))
			{
				$sComment = 'Status rapportage ontvangen van Payment Service Provider.';
			}
			else // if(in_array($sView, array('doValidate')))
			{
				$sComment = 'Status ontvangen na handmatige controle van openstaande transacties.';
			}

			// Update order status
			if(strcmp($aRecord['transaction_status'], 'SUCCESS') === 0)
			{
				$sOrderStatusId = '101';
			}
			elseif(strcmp($aRecord['transaction_status'], 'PENDING') === 0)
			{
				$sOrderStatusId = '102';
			}
			elseif(strcmp($aRecord['transaction_status'], 'OPEN') === 0)
			{
				$sOrderStatusId = '103';
			}
			elseif(strcmp($aRecord['transaction_status'], 'CANCELLED') === 0)
			{
				$sOrderStatusId = '104';
			}
			elseif(strcmp($aRecord['transaction_status'], 'EXPIRED') === 0)
			{
				$sOrderStatusId = '105';
			}
			else // if(strcmp($aRecord['transaction_status'], 'FAILURE') === 0)
			{
				$sOrderStatusId = '106';
			}

			$aDatabaseSettings = idealcheckout_getDatabaseSettings();

			// Update order status
			$sql = "UPDATE `" . $aDatabaseSettings['database']['prefix'] . "order` SET `order_status_id` = '" . $sOrderStatusId . "' WHERE (`order_id` = '" . $aRecord['order_id'] . "');";
			idealcheckout_database_query($sql) or die('QUERY: ' . $sql . '<br>ERROR: ' . idealcheckout_database_error() . '<br><br>FILE: ' . __FILE__ . '<br><br>LINE: ' . __LINE__);

			// Update order history
			$sql = "INSERT INTO `" . $aDatabaseSettings['database']['prefix'] . "order_history` SET `order_id` = '" . $aRecord['order_id'] . "', `order_status_id` = '" . $sOrderStatusId . "', `notify` = '0', `comment` = '" . idealcheckout_escapeSql($sComment) . "', `date_added` = NOW()";
			idealcheckout_database_query($sql) or die('QUERY: ' . $sql . '<br>ERROR: ' . idealcheckout_database_error() . '<br><br>FILE: ' . __FILE__ . '<br><br>LINE: ' . __LINE__);

			// Update stock?!
			// ..

			// Send confirmation email to client and/or webmaster?!
			idealcheckout_sendMail($aRecord);
		}
	}


?>